## NAS Set Event Report request NAS Set Event Report request |

## Functions

QmiMessageNasSetEventReportInput * | qmi_message_nas_set_event_report_input_new ()
QmiMessageNasSetEventReportInput * | qmi_message_nas_set_event_report_input_ref ()
void | qmi_message_nas_set_event_report_input_unref ()
gboolean | qmi_message_nas_set_event_report_input_get_lte_rsrp_delta ()
gboolean | qmi_message_nas_set_event_report_input_set_lte_rsrp_delta ()
gboolean | qmi_message_nas_set_event_report_input_get_lte_snr_delta ()
gboolean | qmi_message_nas_set_event_report_input_set_lte_snr_delta ()
gboolean | qmi_message_nas_set_event_report_input_get_sinr_threshold ()
gboolean | qmi_message_nas_set_event_report_input_set_sinr_threshold ()
gboolean | qmi_message_nas_set_event_report_input_get_ecio_threshold ()
gboolean | qmi_message_nas_set_event_report_input_set_ecio_threshold ()
gboolean | qmi_message_nas_set_event_report_input_get_error_rate_indicator ()
gboolean | qmi_message_nas_set_event_report_input_set_error_rate_indicator ()
gboolean | qmi_message_nas_set_event_report_input_get_sinr_indicator ()
gboolean | qmi_message_nas_set_event_report_input_set_sinr_indicator ()
gboolean | qmi_message_nas_set_event_report_input_get_io_indicator ()
gboolean | qmi_message_nas_set_event_report_input_set_io_indicator ()
gboolean | qmi_message_nas_set_event_report_input_get_ecio_indicator ()
gboolean | qmi_message_nas_set_event_report_input_set_ecio_indicator ()
gboolean | qmi_message_nas_set_event_report_input_get_rssi_indicator ()
gboolean | qmi_message_nas_set_event_report_input_set_rssi_indicator ()
gboolean | qmi_message_nas_set_event_report_input_get_registration_reject_reason ()
gboolean | qmi_message_nas_set_event_report_input_set_registration_reject_reason ()
gboolean | qmi_message_nas_set_event_report_input_get_rf_band_information ()
gboolean | qmi_message_nas_set_event_report_input_set_rf_band_information ()
gboolean | qmi_message_nas_set_event_report_input_get_signal_strength_indicator ()
gboolean | qmi_message_nas_set_event_report_input_set_signal_strength_indicator ()
QmiMessageNasSetEventReportOutput * | qmi_message_nas_set_event_report_output_ref ()
void | qmi_message_nas_set_event_report_output_unref ()
gboolean | qmi_message_nas_set_event_report_output_get_result ()
void | qmi_client_nas_set_event_report ()
QmiMessageNasSetEventReportOutput * | qmi_client_nas_set_event_report_finish ()

## Types and Values

| QmiMessageNasSetEventReportInput
| QmiMessageNasSetEventReportOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessageNasSetEventReportInput
        ╰── QmiMessageNasSetEventReportOutput

## Description

## Functions

### qmi_message_nas_set_event_report_input_new ()

    QmiMessageNasSetEventReportInput *
    qmi_message_nas_set_event_report_input_new
                                   (void);

Allocates a new QmiMessageNasSetEventReportInput.

#### Returns

the newly created QmiMessageNasSetEventReportInput. The returned value should be freed with `qmi_message_nas_set_event_report_input_unref()`.

Since: 1.0

### qmi_message_nas_set_event_report_input_ref ()

    QmiMessageNasSetEventReportInput *
    qmi_message_nas_set_event_report_input_ref
                                   (QmiMessageNasSetEventReportInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageNasSetEventReportInput. |

#### Returns

the new reference to `self` .

Since: 1.0

### qmi_message_nas_set_event_report_input_unref ()

    void
    qmi_message_nas_set_event_report_input_unref
                                   (QmiMessageNasSetEventReportInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageNasSetEventReportInput. |

Since: 1.0

### qmi_message_nas_set_event_report_input_get_lte_rsrp_delta ()

    gboolean
    qmi_message_nas_set_event_report_input_get_lte_rsrp_delta
                                   (QmiMessageNasSetEventReportInput *self,
                                    gboolean *value_lte_rsrp_delta_report,
                                    guint8 *value_lte_rsrp_delta_rsrp_delta,
                                    GError **error);

Get the 'LTE RSRP Delta' field from `self` .

#### Parameters

self | a QmiMessageNasSetEventReportInput. |
value_lte_rsrp_delta_report | a placeholder for the output gboolean, or `NULL` if not required. |
value_lte_rsrp_delta_rsrp_delta | a placeholder for the output guint8, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_nas_set_event_report_input_set_lte_rsrp_delta ()

    gboolean
    qmi_message_nas_set_event_report_input_set_lte_rsrp_delta
                                   (QmiMessageNasSetEventReportInput *self,
                                    gboolean value_lte_rsrp_delta_report,
                                    guint8 value_lte_rsrp_delta_rsrp_delta,
                                    GError **error);

Set the 'LTE RSRP Delta' field in the message.

#### Parameters

self | a QmiMessageNasSetEventReportInput. |
value_lte_rsrp_delta_report | a gboolean. |
value_lte_rsrp_delta_rsrp_delta | a guint8. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.0

### qmi_message_nas_set_event_report_input_get_lte_snr_delta ()

    gboolean
    qmi_message_nas_set_event_report_input_get_lte_snr_delta
                                   (QmiMessageNasSetEventReportInput *self,
                                    gboolean *value_lte_snr_delta_report,
                                    guint8 *value_lte_snr_delta_snr_delta,
                                    GError **error);

Get the 'LTE SNR Delta' field from `self` .

#### Parameters

self | a QmiMessageNasSetEventReportInput. |
value_lte_snr_delta_report | a placeholder for the output gboolean, or `NULL` if not required. |
value_lte_snr_delta_snr_delta | a placeholder for the output guint8, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_nas_set_event_report_input_set_lte_snr_delta ()

    gboolean
    qmi_message_nas_set_event_report_input_set_lte_snr_delta
                                   (QmiMessageNasSetEventReportInput *self,
                                    gboolean value_lte_snr_delta_report,
                                    guint8 value_lte_snr_delta_snr_delta,
                                    GError **error);

Set the 'LTE SNR Delta' field in the message.

#### Parameters

self | a QmiMessageNasSetEventReportInput. |
value_lte_snr_delta_report | a gboolean. |
value_lte_snr_delta_snr_delta | a guint8. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.0

### qmi_message_nas_set_event_report_input_get_sinr_threshold ()

    gboolean
    qmi_message_nas_set_event_report_input_get_sinr_threshold
                                   (QmiMessageNasSetEventReportInput *self,
                                    gboolean *value_sinr_threshold_report,
                                    GArray **value_sinr_threshold_thresholds,
                                    GError **error);

Get the 'SINR Threshold' field from `self` .

#### Parameters

self | a QmiMessageNasSetEventReportInput. |
value_sinr_threshold_report | a placeholder for the output gboolean, or `NULL` if not required. |
value_sinr_threshold_thresholds | a placeholder for the output GArray of guint8 elements, or `NULL` if not required. Do not free it, it is owned by `self` . |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_nas_set_event_report_input_set_sinr_threshold ()

    gboolean
    qmi_message_nas_set_event_report_input_set_sinr_threshold
                                   (QmiMessageNasSetEventReportInput *self,
                                    gboolean value_sinr_threshold_report,
                                    GArray *value_sinr_threshold_thresholds,
                                    GError **error);

Set the 'SINR Threshold' field in the message.

#### Parameters

self | a QmiMessageNasSetEventReportInput. |
value_sinr_threshold_report | a gboolean. |
value_sinr_threshold_thresholds | a GArray of guint8 elements. A new reference to `value_sinr_threshold_thresholds` will be taken. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.0

### qmi_message_nas_set_event_report_input_get_ecio_threshold ()

    gboolean
    qmi_message_nas_set_event_report_input_get_ecio_threshold
                                   (QmiMessageNasSetEventReportInput *self,
                                    gboolean *value_ecio_threshold_report,
                                    GArray **value_ecio_threshold_thresholds,
                                    GError **error);

Get the 'ECIO Threshold' field from `self` .

#### Parameters

self | a QmiMessageNasSetEventReportInput. |
value_ecio_threshold_report | a placeholder for the output gboolean, or `NULL` if not required. |
value_ecio_threshold_thresholds | a placeholder for the output GArray of gint16 elements, or `NULL` if not required. Do not free it, it is owned by `self` . |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_nas_set_event_report_input_set_ecio_threshold ()

    gboolean
    qmi_message_nas_set_event_report_input_set_ecio_threshold
                                   (QmiMessageNasSetEventReportInput *self,
                                    gboolean value_ecio_threshold_report,
                                    GArray *value_ecio_threshold_thresholds,
                                    GError **error);

Set the 'ECIO Threshold' field in the message.

#### Parameters

self | a QmiMessageNasSetEventReportInput. |
value_ecio_threshold_report | a gboolean. |
value_ecio_threshold_thresholds | a GArray of gint16 elements. A new reference to `value_ecio_threshold_thresholds` will be taken. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.0

### qmi_message_nas_set_event_report_input_get_error_rate_indicator ()

    gboolean
    qmi_message_nas_set_event_report_input_get_error_rate_indicator
                                   (QmiMessageNasSetEventReportInput *self,
                                    gboolean *value_error_rate_indicator,
                                    GError **error);

Get the 'Error Rate Indicator' field from `self` .

#### Parameters

self | a QmiMessageNasSetEventReportInput. |
value_error_rate_indicator | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_nas_set_event_report_input_set_error_rate_indicator ()

    gboolean
    qmi_message_nas_set_event_report_input_set_error_rate_indicator
                                   (QmiMessageNasSetEventReportInput *self,
                                    gboolean value_error_rate_indicator,
                                    GError **error);

Set the 'Error Rate Indicator' field in the message.

#### Parameters

self | a QmiMessageNasSetEventReportInput. |
value_error_rate_indicator | a gboolean. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.0

### qmi_message_nas_set_event_report_input_get_sinr_indicator ()

    gboolean
    qmi_message_nas_set_event_report_input_get_sinr_indicator
                                   (QmiMessageNasSetEventReportInput *self,
                                    gboolean *value_sinr_indicator_report,
                                    guint8 *value_sinr_indicator_sinr_delta,
                                    GError **error);

Get the 'SINR Indicator' field from `self` .

#### Parameters

self | a QmiMessageNasSetEventReportInput. |
value_sinr_indicator_report | a placeholder for the output gboolean, or `NULL` if not required. |
value_sinr_indicator_sinr_delta | a placeholder for the output guint8, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_nas_set_event_report_input_set_sinr_indicator ()

    gboolean
    qmi_message_nas_set_event_report_input_set_sinr_indicator
                                   (QmiMessageNasSetEventReportInput *self,
                                    gboolean value_sinr_indicator_report,
                                    guint8 value_sinr_indicator_sinr_delta,
                                    GError **error);

Set the 'SINR Indicator' field in the message.

#### Parameters

self | a QmiMessageNasSetEventReportInput. |
value_sinr_indicator_report | a gboolean. |
value_sinr_indicator_sinr_delta | a guint8. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.0

### qmi_message_nas_set_event_report_input_get_io_indicator ()

    gboolean
    qmi_message_nas_set_event_report_input_get_io_indicator
                                   (QmiMessageNasSetEventReportInput *self,
                                    gboolean *value_io_indicator_report,
                                    guint8 *value_io_indicator_io_delta,
                                    GError **error);

Get the 'IO Indicator' field from `self` .

#### Parameters

self | a QmiMessageNasSetEventReportInput. |
value_io_indicator_report | a placeholder for the output gboolean, or `NULL` if not required. |
value_io_indicator_io_delta | a placeholder for the output guint8, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_nas_set_event_report_input_set_io_indicator ()

    gboolean
    qmi_message_nas_set_event_report_input_set_io_indicator
                                   (QmiMessageNasSetEventReportInput *self,
                                    gboolean value_io_indicator_report,
                                    guint8 value_io_indicator_io_delta,
                                    GError **error);

Set the 'IO Indicator' field in the message.

#### Parameters

self | a QmiMessageNasSetEventReportInput. |
value_io_indicator_report | a gboolean. |
value_io_indicator_io_delta | a guint8. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.0

### qmi_message_nas_set_event_report_input_get_ecio_indicator ()

    gboolean
    qmi_message_nas_set_event_report_input_get_ecio_indicator
                                   (QmiMessageNasSetEventReportInput *self,
                                    gboolean *value_ecio_indicator_report,
                                    guint8 *value_ecio_indicator_ecio_delta,
                                    GError **error);

Get the 'ECIO Indicator' field from `self` .

#### Parameters

self | a QmiMessageNasSetEventReportInput. |
value_ecio_indicator_report | a placeholder for the output gboolean, or `NULL` if not required. |
value_ecio_indicator_ecio_delta | a placeholder for the output guint8, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_nas_set_event_report_input_set_ecio_indicator ()

    gboolean
    qmi_message_nas_set_event_report_input_set_ecio_indicator
                                   (QmiMessageNasSetEventReportInput *self,
                                    gboolean value_ecio_indicator_report,
                                    guint8 value_ecio_indicator_ecio_delta,
                                    GError **error);

Set the 'ECIO Indicator' field in the message.

#### Parameters

self | a QmiMessageNasSetEventReportInput. |
value_ecio_indicator_report | a gboolean. |
value_ecio_indicator_ecio_delta | a guint8. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.0

### qmi_message_nas_set_event_report_input_get_rssi_indicator ()

    gboolean
    qmi_message_nas_set_event_report_input_get_rssi_indicator
                                   (QmiMessageNasSetEventReportInput *self,
                                    gboolean *value_rssi_indicator_report,
                                    guint8 *value_rssi_indicator_rssi_delta,
                                    GError **error);

Get the 'RSSI Indicator' field from `self` .

#### Parameters

self | a QmiMessageNasSetEventReportInput. |
value_rssi_indicator_report | a placeholder for the output gboolean, or `NULL` if not required. |
value_rssi_indicator_rssi_delta | a placeholder for the output guint8, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_nas_set_event_report_input_set_rssi_indicator ()

    gboolean
    qmi_message_nas_set_event_report_input_set_rssi_indicator
                                   (QmiMessageNasSetEventReportInput *self,
                                    gboolean value_rssi_indicator_report,
                                    guint8 value_rssi_indicator_rssi_delta,
                                    GError **error);

Set the 'RSSI Indicator' field in the message.

#### Parameters

self | a QmiMessageNasSetEventReportInput. |
value_rssi_indicator_report | a gboolean. |
value_rssi_indicator_rssi_delta | a guint8. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.0

### qmi_message_nas_set_event_report_input_get_registration_reject_reason ()

    gboolean
    qmi_message_nas_set_event_report_input_get_registration_reject_reason
                                   (QmiMessageNasSetEventReportInput *self,
                                    gboolean *value_registration_reject_reason,
                                    GError **error);

Get the 'Registration Reject Reason' field from `self` .

#### Parameters

self | a QmiMessageNasSetEventReportInput. |
value_registration_reject_reason | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_nas_set_event_report_input_set_registration_reject_reason ()

    gboolean
    qmi_message_nas_set_event_report_input_set_registration_reject_reason
                                   (QmiMessageNasSetEventReportInput *self,
                                    gboolean value_registration_reject_reason,
                                    GError **error);

Set the 'Registration Reject Reason' field in the message.

#### Parameters

self | a QmiMessageNasSetEventReportInput. |
value_registration_reject_reason | a gboolean. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.0

### qmi_message_nas_set_event_report_input_get_rf_band_information ()

    gboolean
    qmi_message_nas_set_event_report_input_get_rf_band_information
                                   (QmiMessageNasSetEventReportInput *self,
                                    gboolean *value_rf_band_information,
                                    GError **error);

Get the 'RF Band Information' field from `self` .

#### Parameters

self | a QmiMessageNasSetEventReportInput. |
value_rf_band_information | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_nas_set_event_report_input_set_rf_band_information ()

    gboolean
    qmi_message_nas_set_event_report_input_set_rf_band_information
                                   (QmiMessageNasSetEventReportInput *self,
                                    gboolean value_rf_band_information,
                                    GError **error);

Set the 'RF Band Information' field in the message.

#### Parameters

self | a QmiMessageNasSetEventReportInput. |
value_rf_band_information | a gboolean. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.0

### qmi_message_nas_set_event_report_input_get_signal_strength_indicator ()

    gboolean
    qmi_message_nas_set_event_report_input_get_signal_strength_indicator
                                   (QmiMessageNasSetEventReportInput *self,
                                    gboolean *value_signal_strength_indicator_report,
                                    GArray **value_signal_strength_indicator_thresholds,
                                    GError **error);

Get the 'Signal Strength Indicator' field from `self` .

#### Parameters

self | a QmiMessageNasSetEventReportInput. |
value_signal_strength_indicator_report | a placeholder for the output gboolean, or `NULL` if not required. |
value_signal_strength_indicator_thresholds | a placeholder for the output GArray of gint8 elements, or `NULL` if not required. Do not free it, it is owned by `self` . |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_nas_set_event_report_input_set_signal_strength_indicator ()

    gboolean
    qmi_message_nas_set_event_report_input_set_signal_strength_indicator
                                   (QmiMessageNasSetEventReportInput *self,
                                    gboolean value_signal_strength_indicator_report,
                                    GArray *value_signal_strength_indicator_thresholds,
                                    GError **error);

Set the 'Signal Strength Indicator' field in the message.

#### Parameters

self | a QmiMessageNasSetEventReportInput. |
value_signal_strength_indicator_report | a gboolean. |
value_signal_strength_indicator_thresholds | a GArray of gint8 elements. A new reference to `value_signal_strength_indicator_thresholds` will be taken. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.0

### qmi_message_nas_set_event_report_output_ref ()

    QmiMessageNasSetEventReportOutput *
    qmi_message_nas_set_event_report_output_ref
                                   (QmiMessageNasSetEventReportOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageNasSetEventReportOutput. |

#### Returns

the new reference to `self` .

Since: 1.0

### qmi_message_nas_set_event_report_output_unref ()

    void
    qmi_message_nas_set_event_report_output_unref
                                   (QmiMessageNasSetEventReportOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageNasSetEventReportOutput. |

Since: 1.0

### qmi_message_nas_set_event_report_output_get_result ()

    gboolean
    qmi_message_nas_set_event_report_output_get_result
                                   (QmiMessageNasSetEventReportOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageNasSetEventReportOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

Since: 1.0

### qmi_client_nas_set_event_report ()

    void
    qmi_client_nas_set_event_report (QmiClientNas *self,
                                     QmiMessageNasSetEventReportInput *input,
                                     guint timeout,
                                     GCancellable *cancellable,
                                     GAsyncReadyCallback callback,
                                     gpointer user_data);

Asynchronously sends a Set Event Report request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_nas_set_event_report_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientNas. |
input | a QmiMessageNasSetEventReportInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.0

### qmi_client_nas_set_event_report_finish ()

    QmiMessageNasSetEventReportOutput *
    qmi_client_nas_set_event_report_finish
                                   (QmiClientNas *self,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an async operation started with `qmi_client_nas_set_event_report()`.

#### Parameters

self | a QmiClientNas. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_nas_set_event_report()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageNasSetEventReportOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_nas_set_event_report_output_unref()`.

Since: 1.0

## Types and Values

### QmiMessageNasSetEventReportInput

    typedef struct _QmiMessageNasSetEventReportInput QmiMessageNasSetEventReportInput;

The QmiMessageNasSetEventReportInput structure contains private data and should only be accessed using the provided API.

Since: 1.0

### QmiMessageNasSetEventReportOutput

    typedef struct _QmiMessageNasSetEventReportOutput QmiMessageNasSetEventReportOutput;

The QmiMessageNasSetEventReportOutput structure contains private data and should only be accessed using the provided API.

Since: 1.0